<?php

// Require
require_once 'Psr/Log/autoload.php';
require_once 'Symfony/Contracts/Deprecation/autoload.php';
require_once 'Symfony/Contracts/HttpClient/autoload.php';
require_once 'Symfony/Contracts/Service/autoload.php';

// Suggest

// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
// this is an autogenerated file - do not edit
spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
                'symfony\\component\\httpclient\\amphttpclient' => '/AmpHttpClient.php',
                'symfony\\component\\httpclient\\asyncdecoratortrait' => '/AsyncDecoratorTrait.php',
                'symfony\\component\\httpclient\\cachinghttpclient' => '/CachingHttpClient.php',
                'symfony\\component\\httpclient\\chunk\\datachunk' => '/Chunk/DataChunk.php',
                'symfony\\component\\httpclient\\chunk\\errorchunk' => '/Chunk/ErrorChunk.php',
                'symfony\\component\\httpclient\\chunk\\firstchunk' => '/Chunk/FirstChunk.php',
                'symfony\\component\\httpclient\\chunk\\informationalchunk' => '/Chunk/InformationalChunk.php',
                'symfony\\component\\httpclient\\chunk\\lastchunk' => '/Chunk/LastChunk.php',
                'symfony\\component\\httpclient\\chunk\\serversentevent' => '/Chunk/ServerSentEvent.php',
                'symfony\\component\\httpclient\\curlhttpclient' => '/CurlHttpClient.php',
                'symfony\\component\\httpclient\\datacollector\\httpclientdatacollector' => '/DataCollector/HttpClientDataCollector.php',
                'symfony\\component\\httpclient\\decoratortrait' => '/DecoratorTrait.php',
                'symfony\\component\\httpclient\\dependencyinjection\\httpclientpass' => '/DependencyInjection/HttpClientPass.php',
                'symfony\\component\\httpclient\\eventsourcehttpclient' => '/EventSourceHttpClient.php',
                'symfony\\component\\httpclient\\exception\\clientexception' => '/Exception/ClientException.php',
                'symfony\\component\\httpclient\\exception\\eventsourceexception' => '/Exception/EventSourceException.php',
                'symfony\\component\\httpclient\\exception\\httpexceptiontrait' => '/Exception/HttpExceptionTrait.php',
                'symfony\\component\\httpclient\\exception\\invalidargumentexception' => '/Exception/InvalidArgumentException.php',
                'symfony\\component\\httpclient\\exception\\jsonexception' => '/Exception/JsonException.php',
                'symfony\\component\\httpclient\\exception\\redirectionexception' => '/Exception/RedirectionException.php',
                'symfony\\component\\httpclient\\exception\\serverexception' => '/Exception/ServerException.php',
                'symfony\\component\\httpclient\\exception\\timeoutexception' => '/Exception/TimeoutException.php',
                'symfony\\component\\httpclient\\exception\\transportexception' => '/Exception/TransportException.php',
                'symfony\\component\\httpclient\\httpclient' => '/HttpClient.php',
                'symfony\\component\\httpclient\\httpclienttrait' => '/HttpClientTrait.php',
                'symfony\\component\\httpclient\\httplugclient' => '/HttplugClient.php',
                'symfony\\component\\httpclient\\httpoptions' => '/HttpOptions.php',
                'symfony\\component\\httpclient\\internal\\ampbody' => '/Internal/AmpBody.php',
                'symfony\\component\\httpclient\\internal\\ampclientstate' => '/Internal/AmpClientState.php',
                'symfony\\component\\httpclient\\internal\\amplistener' => '/Internal/AmpListener.php',
                'symfony\\component\\httpclient\\internal\\ampresolver' => '/Internal/AmpResolver.php',
                'symfony\\component\\httpclient\\internal\\canary' => '/Internal/Canary.php',
                'symfony\\component\\httpclient\\internal\\clientstate' => '/Internal/ClientState.php',
                'symfony\\component\\httpclient\\internal\\curlclientstate' => '/Internal/CurlClientState.php',
                'symfony\\component\\httpclient\\internal\\dnscache' => '/Internal/DnsCache.php',
                'symfony\\component\\httpclient\\internal\\httplugwaitloop' => '/Internal/HttplugWaitLoop.php',
                'symfony\\component\\httpclient\\internal\\nativeclientstate' => '/Internal/NativeClientState.php',
                'symfony\\component\\httpclient\\internal\\pushedresponse' => '/Internal/PushedResponse.php',
                'symfony\\component\\httpclient\\mockhttpclient' => '/MockHttpClient.php',
                'symfony\\component\\httpclient\\nativehttpclient' => '/NativeHttpClient.php',
                'symfony\\component\\httpclient\\noprivatenetworkhttpclient' => '/NoPrivateNetworkHttpClient.php',
                'symfony\\component\\httpclient\\psr18client' => '/Psr18Client.php',
                'symfony\\component\\httpclient\\psr18networkexception' => '/Psr18Client.php',
                'symfony\\component\\httpclient\\psr18requestexception' => '/Psr18Client.php',
                'symfony\\component\\httpclient\\response\\ampresponse' => '/Response/AmpResponse.php',
                'symfony\\component\\httpclient\\response\\asynccontext' => '/Response/AsyncContext.php',
                'symfony\\component\\httpclient\\response\\asyncresponse' => '/Response/AsyncResponse.php',
                'symfony\\component\\httpclient\\response\\commonresponsetrait' => '/Response/CommonResponseTrait.php',
                'symfony\\component\\httpclient\\response\\curlresponse' => '/Response/CurlResponse.php',
                'symfony\\component\\httpclient\\response\\httplugpromise' => '/Response/HttplugPromise.php',
                'symfony\\component\\httpclient\\response\\mockresponse' => '/Response/MockResponse.php',
                'symfony\\component\\httpclient\\response\\nativeresponse' => '/Response/NativeResponse.php',
                'symfony\\component\\httpclient\\response\\responsestream' => '/Response/ResponseStream.php',
                'symfony\\component\\httpclient\\response\\streamableinterface' => '/Response/StreamableInterface.php',
                'symfony\\component\\httpclient\\response\\streamwrapper' => '/Response/StreamWrapper.php',
                'symfony\\component\\httpclient\\response\\traceableresponse' => '/Response/TraceableResponse.php',
                'symfony\\component\\httpclient\\response\\transportresponsetrait' => '/Response/TransportResponseTrait.php',
                'symfony\\component\\httpclient\\retry\\genericretrystrategy' => '/Retry/GenericRetryStrategy.php',
                'symfony\\component\\httpclient\\retry\\retrystrategyinterface' => '/Retry/RetryStrategyInterface.php',
                'symfony\\component\\httpclient\\retryablehttpclient' => '/RetryableHttpClient.php',
                'symfony\\component\\httpclient\\scopinghttpclient' => '/ScopingHttpClient.php',
                'symfony\\component\\httpclient\\traceablehttpclient' => '/TraceableHttpClient.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    },
    true,
    false
);
// @codeCoverageIgnoreEnd

// Files
